Updates an existing consent group

This method updates an existing consent group for a specified groupId. Note- Replace {your_connecttenant_apidomain } in the URL with your hostname to try this API with your environment. See Know your endpoint page.

Path Params
string
required

Unique ID of group

Body Params

The request body outlines the desired configuration for the consent group.

string
required
length between 1 and 128

The unique name of the group.

string
required

A text description for this consent group.

maxFrequencies
array of objects
length between 0 and 10

Array of objects describing the maximum frequency of contacts for a given channel over a given period of time.

maxFrequencies
senders
array of objects
required
length between 1 and 10

Array of allowed sending addresses for this consent group to send from.

senders*
string
enum
required

A channel of communication

Allowed:
string

Address for communications sent on this channel.

string
enum
required

The state of the group to indicate if currently enabled or disabled.

Allowed:
Responses
200

Consent group updated successfully

404

Invalid or unknown group ID.

410

The group has been deleted.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!